> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch images

> This endpoint allows you to get TV network logos by ID.



## OpenAPI

````yaml get /network/{{network_id}}/images
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /network/{{network_id}}/images:
    parameters:
      - name: network_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Networks
      summary: Fetch images
      description: This endpoint allows you to get TV network logos by ID.
      operationId: fetchImages
      responses:
        '200':
          description: Fetch images
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=6733
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Fri, 27 Dec 2024 21:21:09 GMT
            ETag:
              schema:
                type: string
                example: W/"f89f98a9322a0be9411bdbd7d1507b2a"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 a075746ea1824aa1c02a5e26a9e968e4.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: NZfyuvcQIodOPecOeMqdovdKLYUFwaVZH16_etXcSMljrtswNLTgmQ==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '18300'
            x-memc-expires:
              schema:
                type: string
                example: '6733'
            x-memc-key:
              schema:
                type: string
                example: b638053ebd07f4b2f1ea5f06d86d0493
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    example: 19
                  logos:
                    type: array
                    items:
                      type: object
                      properties:
                        aspect_ratio:
                          type: number
                          example: 2.3255813953488373
                        file_path:
                          type: string
                          example: /1DSpHrWyOORkL9N2QHX7Adt31mQ.png
                        file_type:
                          type: string
                          example: .svg
                        height:
                          type: number
                          example: 430
                        id:
                          type: string
                          example: 5a7a673a0e0a26021f000036
                        vote_average:
                          type: number
                          example: 2.278
                        vote_count:
                          type: number
                          example: 3
                        width:
                          type: number
                          example: 1000
                    example:
                      - aspect_ratio: 2.3255813953488373
                        file_path: /1DSpHrWyOORkL9N2QHX7Adt31mQ.png
                        file_type: .svg
                        height: 430
                        id: 5a7a673a0e0a26021f000036
                        vote_average: 2.278
                        vote_count: 3
                        width: 1000
              examples:
                Fetch images:
                  value:
                    id: 19
                    logos:
                      - aspect_ratio: 2.3255813953488373
                        file_path: /1DSpHrWyOORkL9N2QHX7Adt31mQ.png
                        file_type: .svg
                        height: 430
                        id: 5a7a673a0e0a26021f000036
                        vote_average: 2.278
                        vote_count: 3
                        width: 1000
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````